APIs
Get by Id
Get a lending program resource by id.
| Verb | GET |
| URL | https://api.s.unit.sh/lending-programs/{id} |
| Required Scope | lending-programs |
| Timeout (Seconds) | 5 |
Response
Response is a JSON:API document.
200 OK
curl -X GET 'https://api.s.unit.sh/lending-programs/1' \
-H "Authorization: Bearer ${TOKEN}"
Get Extended Information by Id
Get lending program extended information resource by id.
| Verb | GET |
| URL | https://api.s.unit.sh/lending-programs/{id}/extended |
| Required Scope | lending-programs |
| Timeout (Seconds) | 5 |
Response
Response is a JSON:API document.
200 OK
curl -X GET 'https://api.s.unit.sh/lending-programs/1/extended' \
-H "Authorization: Bearer ${TOKEN}"
List
List lending program resources. Paging can be applied.
| Verb | GET |
| URL | https://api.s.unit.sh/lending-programs |
| Required Scope | lending-programs |
| Timeout (Seconds) | 5 |
Query Parameters
| Name | Type | Default | Description |
|---|---|---|---|
| page[limit] | integer | 100 | Optional. Maximum number of resources that will be returned. Maximum is 1000 resources. See Pagination. |
| page[offset] | integer | 0 | Optional. Number of resources to skip. See Pagination. |
| filter[name] | string | (empty) | Optional. Filters the results by the specified program name. |
| filter[programType] | string | (empty) | Optional. Filters the results by the specified Lending Program Type. |
| filter[minProgramLimit] | string | (empty) | Optional. Filters the results by a minimum value of programSizeLimit. |
| filter[minProgramLimit] | string | (empty) | Optional. Filters the results by a maximum value of programSizeLimit. |
| filter[orgId] | string | (empty) | Optional. Filters the results by the specified org id. |
| filter[bankId] | string | (empty) | Optional. Filters the results by the specified bank id. |
curl -X GET 'https://api.s.unit.sh/lending-programs?page[limit]=20&page[offset]=10' \
-H "Authorization: Bearer ${TOKEN}"
Response
Example Response:
{
"data": [
{
"type": "bankSponsoredChargeCardProgram",
"id": "12",
"attributes": {
"createdAt": "2024-02-16T16:32:11.741Z",
"name": "Unit Finance Inc - MyBank BankSponsored Lending Program",
"programSizeLimit": 10900000
}
},
{
"type": "bankSponsoredChargeCardProgram",
"id": "13",
"attributes": {
"createdAt": "2024-02-16T16:32:12.307Z",
"name": "Unit Finance Inc - MyBank Lending Program",
"programSizeLimit": 10900000
}
},
{
"type": "clientSponsoredChargeCardProgram",
"id": "15",
"attributes": {
"createdAt": "2024-02-16T20:29:46.920Z",
"name": "Unit Finance Inc - MyBank ClientSponsored Lending Program",
"programSizeLimit": 10900000
}
}
],
"meta": {
"pagination": {
"total": 3,
"limit": 100,
"offset": 0
}
}
}